---
title: Scrollablе ContextMenu
page_title: Scrollable ContextMenu - ContextMenu - Kendo UI for Vue
description: "Use the scrollable functionality of the Kendo UI ContextMenu wrapper for Vue."
slug: scrollable_contextmenu
position: 2
---

# Scrollable ContextMenu

The ContextMenu provides options for scrolling its content.

As a result, the user can scroll the ContextMenu items that do not fit within the viewport height.

```html-preview
<div id="vueapp" class="vue-app">
	<div id="target">Target</div>
	<kendo-contextmenu :scrollable="true">
    <li>News
        <ul>
            <li>Sport</li>
            <li>Weather</li>
        </ul>
    </li>
    <li>Countries
        <ul>
            <li>Andorra</li>
            <li>Austria</li>
            <li>Bulgaria</li>
            <li>Croatia</li>
            <li>Cyprus</li>
            <li>Czechia</li>
            <li>Denmark</li>
            <li>Estonia</li>
            <li>Finland</li>
            <li>Georgia</li>
            <li>Germany</li>
            <li>Greece</li>
            <li>Hungary</li>
            <li>Ireland</li>
            <li>Italy</li>
            <li>Latvia</li>
            <li>Lithuania</li>
            <li>Malta</li>
            <li>Moldova</li>
            <li>Montenegro</li>
            <li>Norway</li>
            <li>Poland</li>
            <li>Portugal</li>
            <li>Romania</li>
            <li>Serbia</li>
            <li>Slovenia</li>
            <li>Slovakia</li>
            <li>Slovakia</li>
            <li>Spain</li>
            <li>Sweden</li>
            <li>Switzerland</li>
            <li>Turkey</li>
            <li>Ukraine</li>
            <li>UK</li>
            <li>Vatican City</li>
        </ul>
    </li>
	</kendo-contextmenu>
</div>
```
```js
    Vue.use(LayoutInstaller);
    new Vue({
        el: '#vueapp',
        target: "#target"
    })
```

## Suggested Links

* [Kendo UI ContextMenu for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/menu/contextmenu)
* [API Reference of the ContextMenu Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/contextmenu)
