---
title: Loading Content with AJAX
page_title: Loading Content with AJAX - PanelBar - Kendo UI for Vue
description: "Load the content of the Kendo UI PanelBar wrapper for Vue over AJAX."
slug: loading_content_ajax_panelbar
position: 6
---

# Loading Content with AJAX

The PanelBar provides the built-in option for asynchronously loading content from an array of URLs.

The URLs are expected to return HTML fragments that can be loaded in the items of the PanelBar.

```html-no-run
<div id="vueapp" class="vue-app">
    <kendo-panelbar :content-urls="contentUrls">
        <li>
            BODY
            <div></div>
        </li>
        <li>
            ENGINE
            <div></div>
        </li>
        <li>
            TRANSMISSION
            <div></div>
        </li>
        <li>
            PERFORMANCE
            <div></div>
        </li>
    </kendo-panelbar>
</div>
```
```js-no-run
Vue.use(LayoutInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
             contentUrls: [
                'https://demos.telerik.com/kendo-ui/content/web/panelbar/ajax/ajaxContent1.html',
                'https://demos.telerik.com/kendo-ui/content/web/panelbar/ajax/ajaxContent2.html',
                'https://demos.telerik.com/kendo-ui/content/web/panelbar/ajax/ajaxContent3.html',
                'https://demos.telerik.com/kendo-ui/content/web/panelbar/ajax/ajaxContent4.html'
            ]
        }
    }
})
```

## Suggested Links

* [Kendo UI PanelBar for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/panelbar/overview)
* [API Reference of the PanelBar Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/panelbar)
