---
title: Loading Content with AJAX
page_title: Loading Content with AJAX - Splitter - Kendo UI for Vue
description: "Load the content of the Kendo UI Splitter wrapper for Vue over AJAX."
slug: loading_content_ajax_splitter
position: 1
---

# Loading Content with AJAX

The Splitter provides the built-in option for asynchronously loading content from a URL into the Splitter pane.

The URL is expected to return an HTML fragment that can be loaded in the panes of the Splitter.

```html-no-run
<div id="vueapp" class="vue-app">
    <kendo-splitter :panes="panes">
        <div></div>
        <div></div>
    </kendo-splitter>
</div>
```
```js-no-run
Vue.use(LayoutInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
            panes: [
                { contentUrl: 'https://demos.telerik.com/kendo-ui/content/web/splitter/ajax/ajaxContent1.html' },
                { contentUrl: 'https://demos.telerik.com/kendo-ui/content/web/splitter/ajax/ajaxContent2.html' }
            ]
        }
    }
})
```

## Suggested Links

* [Kendo UI Splitter for jQuery](https://docs.telerik.com/kendo-ui/controls/layout/splitter/overview)
* [API Reference of the Splitter](https://docs.telerik.com/kendo-ui/api/javascript/ui/splitter)
