---
title: Data Binding
page_title: Data Binding - TabStrip - Kendo UI for Vue
description: "Instantiate and set the configuration options for the Kendo UI TabStrip wrapper for Vue."
slug: databinding_tabstrip
position: 1
---

# Data Binding

The TabStrip provides support for binding it to local data arrays.

Local data arrays are appropriate for limited value options. To bind the TabStrip to local data, use the [Kendo UI Data Source component](https://docs.telerik.com/kendo-ui/framework/datasource/overview).

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-tabstrip :data-source="localDataSource"
					data-text-field="Name"
					data-content-field="Content">
	</kendo-tabstrip>
</div>
```
```js
Vue.use(LayoutInstaller);

new Vue({
    el: '#vueapp',
    data: {
        localDataSource: new kendo.data.DataSource({
            data: [
                { Name: "Tab1", Content: "Tab1: content" },
                { Name: "Tab2", Content: "Tab2: content" }
            ]
        })
    }
})
```

## Suggested Links

* [Kendo UI Data Source Component](https://docs.telerik.com/kendo-ui/framework/datasource/overview)
* [Kendo UI TabStrip for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/tabstrip/overview)
* [API Reference of the TabStrip Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/tabstrip)
